package Lambda;

import java.util.function.Supplier;

public class JTestLambda {
	
	JTestLambda(int x){
		
	}
	public int divide(int a, int b) {
		if (b == 0) {
			throw new ArithmeticException("Division durch Null");
		}
		return a / b;
	}
	
	 public Supplier<String> erstelleLambda(String text) {
		 
	        // Lambda-Ausdruck, der auf die Variable 'text' zugreift
	        return () -> "Der Text ist: " + text;
	    }

}
